<?php

class m120130_183758_tbl_candidatos_idiomas extends CDbMigration
{
	public function up()
	{
            $this->createTable('tbl_candidatos_idiomas', array(
                'id' => 'pk',
                'candidato_id' => 'integer NOT NULL',
                'idioma' => 'string NOT NULL',
                'conversacion' => 'string',
                'lectura_traduccion' => 'string',                
            ));

            $this->addForeignKey('fk_candidatos_idiomas_1', 'tbl_candidatos_idiomas', 'candidato_id', 'tbl_candidatos', 'id', 'CASCADE', 'CASCADE');
	}

	public function down()
	{
                $this->dropForeignKey('fk_candidatos_idiomas_1', 'tbl_candidatos_idiomas');
                $this->dropTable('tbl_candidatos_idiomas');		
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}